# wizard

from models.loots.armor import Armor
from models.loots.weapon import Weapon
from models.heroes.hero import Hero


class Wizard(Hero):

    def __init__(
        self,
        name: str,
        description: str,
        HP: int,
        attack_power: int,
        defense: int,
        mana_stock: int,
        armor: Armor = None,
        weapon: Weapon = None,
    ) -> None:
        super().__init__(
            name, description, HP, attack_power, defense, Hero.WIZARD, armor, weapon
        )
        self.mana_stock = mana_stock

    def get_type_str(self) -> str:
        return "Wizard"
